Bug 508634 - ptrash in .trash has unexpected results
Summary: ptrash in .trash has unexpected results
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ptrash
Version: 11
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-29 09:28 UTC by Shreyank Gupta
Modified: 2009-07-03 19:55 UTC (History)
1 user (show)

Fixed In Version: 1.0.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-03 19:37:41 UTC


Attachments (Terms of Use)

Description Shreyank Gupta 2009-06-29 09:28:53 UTC
Description of problem:
ptrash in the .trash directory deletes the file forever but the entry remains in .trashdb

Version-Release number of selected component (if applicable):
1.0-2.fc11


Steps to Reproduce:

1. cd to ~/.trash
2. ptrash a file there
  

Actual results: 

1. ls to check that file is gone
2. cat .trashdb to get the listings to be still present

Expected results:

ptrash in the .trash should ask "Are you sure you want to delete this file forever(Y/n)?"

And then do things accordingly.

Additional info:

Comment 1 Fedora Update System 2009-07-02 07:44:56 UTC
ptrash-1.0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ptrash-1.0.1-1.fc9

Comment 2 Fedora Update System 2009-07-02 07:46:20 UTC
ptrash-1.0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ptrash-1.0.1-1.fc10

Comment 3 Fedora Update System 2009-07-02 07:48:11 UTC
ptrash-1.0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ptrash-1.0.1-1.fc11

Comment 4 Fedora Update System 2009-07-03 19:37:37 UTC
ptrash-1.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-07-03 19:51:54 UTC
ptrash-1.0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-07-03 19:55:19 UTC
ptrash-1.0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.